UPSIMAGE.CGI(8)

NAME
upsimage.cgi - Image-generating helper for upsstats.cgi

SYNOPSIS

upsimage.cgi

    Note

    As a CGI program, this should be invoked through your web server. If you run it from the command line, it will either complain about unauthorized access or spew a PNG at you.

DESCRIPTION

upsimage.cgi generates the graphical bars that make up the right side of the page generated by upsstats.cgi(8). These represent the current battery charge, utility voltage, and UPS load where available.

The images are in PNG format, and are created by linking to Boutell’s excellent gd library.

ACCESS CONTROL

upsstats will only talk to upsd(8) servers that have been defined in your hosts.conf(5). If it complains about "Access to that host is not authorized", check that file first.

FILES

hosts.conf(5)

SEE ALSO

upsd(8), upsstats.cgi(8)

  Internet resources:

The gd home page: http://libgd.bitbucket.org

The NUT (Network UPS Tools) home page: http://www.networkupstools.org/